Bug 613160 (CVE-2010-2498) - CVE-2010-2498 freetype: invalid free vulnerability with possible heap corruption
Summary: CVE-2010-2498 freetype: invalid free vulnerability with possible heap corruption
Status: CLOSED ERRATA
Alias: CVE-2010-2498
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20100609,repo...
Keywords: Security
Depends On: 613298 613299 614010 614011 614012 614013 806290
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 20:43 UTC by Vincent Danen
Modified: 2018-08-15 21:50 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-29 15:05:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0578 normal SHIPPED_LIVE Important: freetype security update 2010-07-30 16:09:53 UTC

Description Vincent Danen 2010-07-09 20:43:21 UTC
Robert Swiecki reported an invalid free flaw, that could possibly corrupt the heap, in freetype.  This could cause applications linked against freetype to crash (SIGABRT) or, possibly, lead to the execution of arbitrary code if an attacker were able to get a victim to load a malicious font file.

The affected code is not present in Red Hat Enterprise Linux 3 (freetype 2.1.4).  In Red Hat Enterprise Linux 4 and 5 this code is present, but does not cause a crash.

This issue has been given the name CVE-2010-2498.

Upstream bug report:

http://savannah.nongnu.org/bugs/index.php?30106

Upstream commit that fixes the issue:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=8d22746c9e5af80ff4304aef440986403a5072e2

Acknowledgements:

Red Hat would like to thank Robert Święcki of the Google Security Team for the discovery of this issue.

Comment 2 Vincent Danen 2010-07-10 16:02:21 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 4 Josh Bressers 2010-07-13 13:45:11 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 5 Vincent Danen 2010-07-15 20:43:29 UTC
Upstream has released 2.4.0 to correct this issue:

http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html

Comment 6 errata-xmlrpc 2010-07-30 16:10:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0578 https://rhn.redhat.com/errata/RHSA-2010-0578.html


Note You need to log in before you can comment on or make changes to this bug.